# TMR_GEN2_Select Struct Reference
[Tag filters]

`#include <tmr_gen2.h>`

List of all members.

## Public Attributes

bool | invert
TMR_GEN2_Bank | bank
uint32_t | bitPointer
uint16_t | maskBitLength
uint8_t * | mask

## Detailed Description

A single selection operation in the Gen2 protocol.

## Member Data Documentation

TMR_GEN2_Bank TMR_GEN2_Select::bank

The memory bank in which to compare the mask

uint32_t TMR_GEN2_Select::bitPointer

The location (in bits) at which to begin comparing the mask

bool TMR_GEN2_Select::invert

Whether to invert the selection (deselect tags that meet the comparison)

uint8_t* TMR_GEN2_Select::mask

The mask value to compare with the specified region of tag memory, MSB first

uint16_t TMR_GEN2_Select::maskBitLength

The length (in bits) of the mask

The documentation for this struct was generated from the following file:

- tmr_gen2.h